Subject: Re: bug#31650: 26.1; Desktop mode adds wm stickiness to emacs windows.

From: martin rudalics <[email-masked]>
Date: Sat, 02 Jun 2018 11:13:23 +0200

> I build fvwm2 2.6.8 this morning, which was released 2 days ago and,
 > after some struggle, have this running now. And ... it doesn't has the
 > (mis-)behaviour of fvwm2 2.6.4.
 >
 > With this version
 >
 > (set-frame-parameter nil 'sticky nil)
 >
 > has no effect on a non-sticky emacs.
 >
 > (set-frame-parameter nil 'sticky t)
 >
 > makes the frame sticky, and
 >
 > (set-frame-parameter nil 'sticky nil)
 >
 > makes it unsticky again.
 >
 > As it should be. In turn emacs with enabled desktop-mode doesn't put my
 > emacs frame into sticky mode anymore at start-up. So, the root of the
 > reported problem seems to be a bug in some or at least one (2.6.4) past
 > fvwm2 version.

Great.  I added a corresponding entry for this to etc/PROBLEMS.

 > Case settled. Many thanks for replying and ...
 >
 > I'm sorry for the noise ...

On the contrary it's always good to inform about such misbehaviors.

Thanks, martin (closing this bug)